diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/packet.h ns-3.44/src/network/model/packet.h
--- ns-3.43/src/network/model/packet.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/packet.h	2025-03-09 16:55:49.675372100 -0700
@@ -31,13 +31,13 @@
 class Address;
 
 /**
- * \ingroup network
- * \defgroup packet Packet
+ * @ingroup network
+ * @defgroup packet Packet
  */
 
 /**
- * \ingroup packet
- * \brief Iterator over the set of byte tags in a packet
+ * @ingroup packet
+ * @brief Iterator over the set of byte tags in a packet
  *
  * This is a java-style iterator.
  */
@@ -45,32 +45,32 @@
 {
   public:
     /**
-     * \brief Identifies a byte tag and a set of bytes within a packet
+     * @brief Identifies a byte tag and a set of bytes within a packet
      * to which the tag applies.
      */
     class Item
     {
       public:
         /**
-         * \returns the ns3::TypeId associated to this tag.
+         * @returns the ns3::TypeId associated to this tag.
          */
         TypeId GetTypeId() const;
         /**
-         * \returns the index of the first byte tagged by this tag.
+         * @returns the index of the first byte tagged by this tag.
          *
-         * \brief The index is an offset from the start of the packet.
+         * @brief The index is an offset from the start of the packet.
          */
         uint32_t GetStart() const;
         /**
-         * \returns the index of the last byte tagged by this tag.
+         * @returns the index of the last byte tagged by this tag.
          *
-         * \brief The index is an offset from the start of the packet.
+         * @brief The index is an offset from the start of the packet.
          */
         uint32_t GetEnd() const;
         /**
-         * \brief Read the requested tag and store it in the user-provided tag instance.
+         * @brief Read the requested tag and store it in the user-provided tag instance.
          *
-         * \param tag the user tag to which the data should be copied.
+         * @param tag the user tag to which the data should be copied.
          *
          * This method will crash if the type of the tag provided
          * by the user does not match the type of the underlying tag.
@@ -81,11 +81,11 @@
         /// Friend class
         friend class ByteTagIterator;
         /**
-         * \brief Constructor
-         * \param tid the ns3::TypeId associated to this tag.
-         * \param start the index of the first byte tagged by this tag.
-         * \param end the index of the last byte tagged by this tag.
-         * \param buffer the buffer associated with this tag.
+         * @brief Constructor
+         * @param tid the ns3::TypeId associated to this tag.
+         * @param start the index of the first byte tagged by this tag.
+         * @param end the index of the last byte tagged by this tag.
+         * @param buffer the buffer associated with this tag.
          */
         Item(TypeId tid, uint32_t start, uint32_t end, TagBuffer buffer);
 
@@ -96,11 +96,11 @@
     };
 
     /**
-     * \returns true if calling Next is safe, false otherwise.
+     * @returns true if calling Next is safe, false otherwise.
      */
     bool HasNext() const;
     /**
-     * \returns the next item found and prepare for the next one.
+     * @returns the next item found and prepare for the next one.
      */
     Item Next();
 
@@ -109,15 +109,15 @@
     friend class Packet;
     /**
      * Copy Constructor
-     * \param i object to copy
+     * @param i object to copy
      */
     ByteTagIterator(ByteTagList::Iterator i);
     ByteTagList::Iterator m_current; //!< actual position over the set of byte tags in a packet
 };
 
 /**
- * \ingroup packet
- * \brief Iterator over the set of packet tags in a packet
+ * @ingroup packet
+ * @brief Iterator over the set of packet tags in a packet
  *
  * This is a java-style iterator.
  */
@@ -131,13 +131,13 @@
     {
       public:
         /**
-         * \returns the ns3::TypeId associated to this tag.
+         * @returns the ns3::TypeId associated to this tag.
          */
         TypeId GetTypeId() const;
         /**
          * Read the requested tag and store it in the user-provided tag instance.
          *
-         * \param tag the user tag to which the data should be copied.
+         * @param tag the user tag to which the data should be copied.
          *
          * This method will crash if the type of the tag provided
          * by the user does not match the type of the underlying tag.
@@ -149,18 +149,18 @@
         friend class PacketTagIterator;
         /**
          * Constructor
-         * \param data the data to copy.
+         * @param data the data to copy.
          */
         Item(const PacketTagList::TagData* data);
         const PacketTagList::TagData* m_data; //!< the tag data
     };
 
     /**
-     * \returns true if calling Next is safe, false otherwise.
+     * @returns true if calling Next is safe, false otherwise.
      */
     bool HasNext() const;
     /**
-     * \returns the next item found and prepare for the next one.
+     * @returns the next item found and prepare for the next one.
      */
     Item Next();
 
@@ -169,15 +169,15 @@
     friend class Packet;
     /**
      * Constructor
-     * \param head head of the items
+     * @param head head of the items
      */
     PacketTagIterator(const PacketTagList::TagData* head);
     const PacketTagList::TagData* m_current; //!< actual position over the set of tags in a packet
 };
 
 /**
- * \ingroup packet
- * \brief network packets
+ * @ingroup packet
+ * @brief network packets
  *
  * Each network packet contains a byte buffer, a set of byte tags, a set of
  * packet tags, and metadata.
@@ -228,23 +228,23 @@
 {
   public:
     /**
-     * \brief Create an empty packet with a new uid (as returned
+     * @brief Create an empty packet with a new uid (as returned
      * by getUid).
      */
     Packet();
     /**
-     * \brief Copy constructor
-     * \param o object to copy
+     * @brief Copy constructor
+     * @param o object to copy
      */
     Packet(const Packet& o);
     /**
-     * \brief Basic assignment
-     * \param o object to copy
-     * \return the copied object
+     * @brief Basic assignment
+     * @param o object to copy
+     * @return the copied object
      */
     Packet& operator=(const Packet& o);
     /**
-     * \brief Create a packet with a zero-filled payload.
+     * @brief Create a packet with a zero-filled payload.
      *
      * The memory necessary for the payload is not allocated:
      * it will be allocated at any later point if you attempt
@@ -252,195 +252,195 @@
      * bytes. The packet is allocated with a new uid (as
      * returned by getUid).
      *
-     * \param size the size of the zero-filled payload
+     * @param size the size of the zero-filled payload
      */
     Packet(uint32_t size);
     /**
-     * \brief Create a new packet from the serialized buffer.
+     * @brief Create a new packet from the serialized buffer.
      *
      * This new packet
      * is identical to the serialized packet contained in the buffer
      * and is magically deserialized for you
      *
-     * \param buffer the serialized packet to be created
-     * \param size the size of the packet for deserialization
-     * \param magic allows packet deserialization;
+     * @param buffer the serialized packet to be created
+     * @param size the size of the packet for deserialization
+     * @param magic allows packet deserialization;
      *        asserts when set to false
      */
     Packet(const uint8_t* buffer, uint32_t size, bool magic);
     /**
-     * \brief Create a packet with payload filled with the content
+     * @brief Create a packet with payload filled with the content
      * of this buffer.
      *
      * The input data is copied: the input
      * buffer is untouched.
      *
-     * \param buffer the data to store in the packet.
-     * \param size the size of the input buffer.
+     * @param buffer the data to store in the packet.
+     * @param size the size of the input buffer.
      */
     Packet(const uint8_t* buffer, uint32_t size);
     /**
-     * \brief Create a new packet which contains a fragment of the original
+     * @brief Create a new packet which contains a fragment of the original
      * packet.
      *
      * The returned packet shares the same uid as this packet.
      *
-     * \param start offset from start of packet to start of fragment to create
-     * \param length length of fragment to create
-     * \returns a fragment of the original packet
+     * @param start offset from start of packet to start of fragment to create
+     * @param length length of fragment to create
+     * @returns a fragment of the original packet
      */
     Ptr<Packet> CreateFragment(uint32_t start, uint32_t length) const;
     /**
-     * \brief Returns the the size in bytes of the packet (including the zero-filled
+     * @brief Returns the the size in bytes of the packet (including the zero-filled
      * initial payload).
      *
-     * \returns the size in bytes of the packet
+     * @returns the size in bytes of the packet
      */
     inline uint32_t GetSize() const;
     /**
-     * \brief Add header to this packet.
+     * @brief Add header to this packet.
      *
      * This method invokes the
      * Header::GetSerializedSize and Header::Serialize
      * methods to reserve space in the buffer and request the
      * header to serialize itself in the packet buffer.
      *
-     * \param header a reference to the header to add to this packet.
+     * @param header a reference to the header to add to this packet.
      */
     void AddHeader(const Header& header);
     /**
-     * \brief Deserialize and remove the header from the internal buffer.
+     * @brief Deserialize and remove the header from the internal buffer.
      *
      * This method invokes Header::Deserialize (begin) and should be used for
      * fixed-length headers.
      *
-     * \param header a reference to the header to remove from the internal buffer.
-     * \returns the number of bytes removed from the packet.
+     * @param header a reference to the header to remove from the internal buffer.
+     * @returns the number of bytes removed from the packet.
      */
     uint32_t RemoveHeader(Header& header);
     /**
-     * \brief Deserialize and remove the header from the internal buffer.
+     * @brief Deserialize and remove the header from the internal buffer.
      *
      * This method invokes Header::Deserialize (begin, end) and should be
      * used for variable-length headers (where the size is determined somehow
      * by the caller).
      *
-     * \param header a reference to the header to remove from the internal buffer.
-     * \param size number of bytes to deserialize
-     * \returns the number of bytes removed from the packet.
+     * @param header a reference to the header to remove from the internal buffer.
+     * @param size number of bytes to deserialize
+     * @returns the number of bytes removed from the packet.
      */
     uint32_t RemoveHeader(Header& header, uint32_t size);
     /**
-     * \brief Deserialize but does _not_ remove the header from the internal buffer.
+     * @brief Deserialize but does _not_ remove the header from the internal buffer.
      * s
      * This method invokes Header::Deserialize.
      *
-     * \param header a reference to the header to read from the internal buffer.
-     * \returns the number of bytes read from the packet.
+     * @param header a reference to the header to read from the internal buffer.
+     * @returns the number of bytes read from the packet.
      */
     uint32_t PeekHeader(Header& header) const;
     /**
-     * \brief Deserialize but does _not_ remove the header from the internal buffer.
+     * @brief Deserialize but does _not_ remove the header from the internal buffer.
      * s
      * This method invokes Header::Deserialize (begin, end) and should be used
      * for variable-length headers (where the size is determined somehow
      * by the caller).
      *
-     * \param header a reference to the header to read from the internal buffer.
-     * \param size number of bytes to deserialize
-     * \returns the number of bytes read from the packet.
+     * @param header a reference to the header to read from the internal buffer.
+     * @param size number of bytes to deserialize
+     * @returns the number of bytes read from the packet.
      */
     uint32_t PeekHeader(Header& header, uint32_t size) const;
     /**
-     * \brief Add trailer to this packet.
+     * @brief Add trailer to this packet.
      *
      * This method invokes the
      * Trailer::GetSerializedSize and Trailer::Serialize
      * methods to reserve space in the buffer and request the trailer
      * to serialize itself in the packet buffer.
      *
-     * \param trailer a reference to the trailer to add to this packet.
+     * @param trailer a reference to the trailer to add to this packet.
      */
     void AddTrailer(const Trailer& trailer);
     /**
-     * \brief Remove a deserialized trailer from the internal buffer.
+     * @brief Remove a deserialized trailer from the internal buffer.
      *
      * This method invokes the Deserialize method.
      *
-     * \param trailer a reference to the trailer to remove from the internal buffer.
-     * \returns the number of bytes removed from the end of the packet.
+     * @param trailer a reference to the trailer to remove from the internal buffer.
+     * @returns the number of bytes removed from the end of the packet.
      */
     uint32_t RemoveTrailer(Trailer& trailer);
     /**
-     * \brief Deserialize but does _not_ remove a trailer from the internal buffer.
+     * @brief Deserialize but does _not_ remove a trailer from the internal buffer.
      *
      * This method invokes the Trailer::Deserialize method.
      *
-     * \param trailer a reference to the trailer to read from the internal buffer.
-     * \returns the number of bytes read from the end of the packet.
+     * @param trailer a reference to the trailer to read from the internal buffer.
+     * @returns the number of bytes read from the end of the packet.
      */
     uint32_t PeekTrailer(Trailer& trailer);
 
     /**
-     * \brief Concatenate the input packet at the end of the current
+     * @brief Concatenate the input packet at the end of the current
      * packet.
      *
      * This does not alter the uid of either packet.
      *
-     * \param packet packet to concatenate
+     * @param packet packet to concatenate
      */
     void AddAtEnd(Ptr<const Packet> packet);
     /**
-     * \brief Add a zero-filled padding to the packet.
+     * @brief Add a zero-filled padding to the packet.
      *
-     * \param size number of padding bytes to add.
+     * @param size number of padding bytes to add.
      */
     void AddPaddingAtEnd(uint32_t size);
     /**
-     * \brief Remove size bytes from the end of the current packet.
+     * @brief Remove size bytes from the end of the current packet.
      *
      * It is safe to remove more bytes than are present in
      * the packet.
      *
-     * \param size number of bytes from remove
+     * @param size number of bytes from remove
      */
     void RemoveAtEnd(uint32_t size);
     /**
-     * \brief Remove size bytes from the start of the current packet.
+     * @brief Remove size bytes from the start of the current packet.
      *
      * It is safe to remove more bytes than are present in
      * the packet.
      *
-     * \param size number of bytes from remove
+     * @param size number of bytes from remove
      */
     void RemoveAtStart(uint32_t size);
 
     /**
-     * \brief Copy the packet contents to a byte buffer.
+     * @brief Copy the packet contents to a byte buffer.
      *
-     * \param buffer a pointer to a byte buffer where the packet data
+     * @param buffer a pointer to a byte buffer where the packet data
      *        should be copied.
-     * \param size the size of the byte buffer.
-     * \returns the number of bytes read from the packet
+     * @param size the size of the byte buffer.
+     * @returns the number of bytes read from the packet
      *
      * No more than \b size bytes will be copied by this function.
      */
     uint32_t CopyData(uint8_t* buffer, uint32_t size) const;
 
     /**
-     * \brief Copy the packet contents to an output stream.
+     * @brief Copy the packet contents to an output stream.
      *
-     * \param os pointer to output stream in which we want
+     * @param os pointer to output stream in which we want
      *        to write the packet data.
-     * \param size the maximum number of bytes we want to write
+     * @param size the maximum number of bytes we want to write
      *        in the output stream.
      */
     void CopyData(std::ostream* os, uint32_t size) const;
 
     /**
-     * \brief performs a COW copy of the packet.
+     * @brief performs a COW copy of the packet.
      *
-     * \returns a COW copy of the packet.
+     * @returns a COW copy of the packet.
      *
      * The returns packet will behave like an independent copy of
      * the original packet, even though they both share the
@@ -449,7 +449,7 @@
     Ptr<Packet> Copy() const;
 
     /**
-     * \brief Returns the packet's Uid.
+     * @brief Returns the packet's Uid.
      *
      * A packet is allocated a new uid when it is created
      * empty or with zero-filled payload.
@@ -464,15 +464,15 @@
      * sequence numbers, or other packet or frame counters at other
      * protocol layers.
      *
-     * \returns an integer identifier which uniquely
+     * @returns an integer identifier which uniquely
      *          identifies this packet.
      */
     uint64_t GetUid() const;
 
     /**
-     * \brief Print the packet contents.
+     * @brief Print the packet contents.
      *
-     * \param os output stream in which the data should be printed.
+     * @param os output stream in which the data should be printed.
      *
      * Iterate over the headers and trailers present in this packet,
      * from the first header to the last trailer and invoke, for
@@ -482,30 +482,30 @@
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Return a string representation of the packet
+     * @brief Return a string representation of the packet
      *
      * An empty string is returned if you haven't called EnablePrinting ()
      *
-     * \return String representation
+     * @return String representation
      */
     std::string ToString() const;
 
     /**
-     * \brief Returns an iterator which points to the first 'item'
+     * @brief Returns an iterator which points to the first 'item'
      * stored in this buffer.
      *
      * Note that this iterator will point
      * to an empty array of items if you don't call EnablePrinting
      * or EnableChecking before.
      *
-     * \returns an iterator
+     * @returns an iterator
      *
      * \sa EnablePrinting EnableChecking
      */
     PacketMetadata::ItemIterator BeginItem() const;
 
     /**
-     * \brief Enable printing packets metadata.
+     * @brief Enable printing packets metadata.
      *
      * By default, packets do not keep around enough metadata to
      * perform the operations requested by the Print methods. If you
@@ -515,7 +515,7 @@
      */
     static void EnablePrinting();
     /**
-     * \brief Enable packets metadata checking.
+     * @brief Enable packets metadata checking.
      *
      * The packet metadata is also used to perform extensive
      * sanity checks at runtime when performing operations on a
@@ -527,10 +527,10 @@
     static void EnableChecking();
 
     /**
-     * \brief Returns number of bytes required for packet
+     * @brief Returns number of bytes required for packet
      * serialization.
      *
-     * \returns number of bytes required for packet
+     * @returns number of bytes required for packet
      * serialization
      *
      * For packet serialization, the total size is checked
@@ -540,19 +540,19 @@
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serialize a packet, tags, and metadata into a byte buffer.
+     * @brief Serialize a packet, tags, and metadata into a byte buffer.
      *
-     * \param buffer a raw byte buffer to which the packet will be serialized
-     * \param maxSize the max size of the buffer for bounds checking
+     * @param buffer a raw byte buffer to which the packet will be serialized
+     * @param maxSize the max size of the buffer for bounds checking
      *
-     * \returns one if all data were serialized, zero if buffer size was too small.
+     * @returns one if all data were serialized, zero if buffer size was too small.
      */
     uint32_t Serialize(uint8_t* buffer, uint32_t maxSize) const;
 
     /**
-     * \brief Tag each byte included in this packet with a new byte tag.
+     * @brief Tag each byte included in this packet with a new byte tag.
      *
-     * \param tag the new tag to add to this packet
+     * @param tag the new tag to add to this packet
      *
      * Note that adding a tag is a const operation which is pretty
      * un-intuitive. The rationale is that the content and behavior of
@@ -568,7 +568,7 @@
     void AddByteTag(const Tag& tag) const;
 
     /**
-     * \brief Tag the indicated byte range of this packet with a new byte tag.
+     * @brief Tag the indicated byte range of this packet with a new byte tag.
      *
      * As parameters for this method, we do not use indexes, but byte position.
      * Moreover, as there is no 0-th position, the first position is 1.
@@ -582,22 +582,22 @@
          p->AddByteTag (tag, 1, 10);
        \endcode
      *
-     * \param tag the new tag to add to this packet
-     * \param start the position of the first byte tagged by this tag
-     * \param end the position of the last byte tagged by this tag
+     * @param tag the new tag to add to this packet
+     * @param start the position of the first byte tagged by this tag
+     * @param end the position of the last byte tagged by this tag
      */
     void AddByteTag(const Tag& tag, uint32_t start, uint32_t end) const;
     /**
-     * \brief Returns an iterator over the set of byte tags included in this packet
+     * @brief Returns an iterator over the set of byte tags included in this packet
      *
-     * \returns an iterator over the set of byte tags included in this packet.
+     * @returns an iterator over the set of byte tags included in this packet.
      */
     ByteTagIterator GetByteTagIterator() const;
     /**
-     * \brief Finds the first tag matching the parameter Tag type
+     * @brief Finds the first tag matching the parameter Tag type
      *
-     * \param tag the byte tag type to search in this packet
-     * \returns true if the requested tag type was found, false otherwise.
+     * @param tag the byte tag type to search in this packet
+     * @returns true if the requested tag type was found, false otherwise.
      *
      * If the requested tag type is found, it is copied in the user's
      * provided tag instance.
@@ -605,22 +605,22 @@
     bool FindFirstMatchingByteTag(Tag& tag) const;
 
     /**
-     * \brief Remove all byte tags stored in this packet.
+     * @brief Remove all byte tags stored in this packet.
      */
     void RemoveAllByteTags();
 
     /**
-     * \param os output stream in which the data should be printed.
+     * @param os output stream in which the data should be printed.
      *
-     * \brief Iterate over the byte tags present in this packet, and
+     * @brief Iterate over the byte tags present in this packet, and
      * invoke the Print method of each tag stored in the packet.
      */
     void PrintByteTags(std::ostream& os) const;
 
     /**
-     * \brief Add a packet tag.
+     * @brief Add a packet tag.
      *
-     * \param tag the packet tag type to add.
+     * @param tag the packet tag type to add.
      *
      * Note that this method is const, that is, it does not
      * modify the state of this packet, which is fairly
@@ -628,42 +628,42 @@
      */
     void AddPacketTag(const Tag& tag) const;
     /**
-     * \brief Remove a packet tag.
+     * @brief Remove a packet tag.
      *
-     * \param tag the packet tag type to remove from this packet.
+     * @param tag the packet tag type to remove from this packet.
      *        The tag parameter is set to the value of the tag found.
-     * \returns true if the requested tag is found, false
+     * @returns true if the requested tag is found, false
      *          otherwise.
      */
     bool RemovePacketTag(Tag& tag);
     /**
-     * \brief Replace the value of a packet tag.
+     * @brief Replace the value of a packet tag.
      *
-     * \param tag the packet tag type to replace.  To get the old
+     * @param tag the packet tag type to replace.  To get the old
      *        value of the tag, use PeekPacketTag first.
-     * \returns true if the requested tag is found, false otherwise.
+     * @returns true if the requested tag is found, false otherwise.
      *        If the tag isn't found, Add is performed instead (so
      *        the packet is guaranteed to have the new tag value
      *        either way).
      */
     bool ReplacePacketTag(Tag& tag);
     /**
-     * \brief Search a matching tag and call Tag::Deserialize if it is found.
+     * @brief Search a matching tag and call Tag::Deserialize if it is found.
      *
-     * \param tag the tag to search in this packet
-     * \returns true if the requested tag is found, false
+     * @param tag the tag to search in this packet
+     * @returns true if the requested tag is found, false
      *          otherwise.
      */
     bool PeekPacketTag(Tag& tag) const;
     /**
-     * \brief Remove all packet tags.
+     * @brief Remove all packet tags.
      */
     void RemoveAllPacketTags();
 
     /**
-     * \brief Print the list of packet tags.
+     * @brief Print the list of packet tags.
      *
-     * \param os the stream on which to print the tags.
+     * @param os the stream on which to print the tags.
      *
      * \sa Packet::AddPacketTag, Packet::RemovePacketTag, Packet::PeekPacketTag,
      *  Packet::RemoveAllPacketTags
@@ -671,61 +671,61 @@
     void PrintPacketTags(std::ostream& os) const;
 
     /**
-     * \brief Returns an object which can be used to iterate over the list of
+     * @brief Returns an object which can be used to iterate over the list of
      *  packet tags.
      *
-     * \returns an object which can be used to iterate over the list of
+     * @returns an object which can be used to iterate over the list of
      *  packet tags.
      */
     PacketTagIterator GetPacketTagIterator() const;
 
     /**
-     * \brief Set the packet nix-vector.
+     * @brief Set the packet nix-vector.
      *
-     * \note Note: This function supports a temporary solution
+     * @note Note: This function supports a temporary solution
      * to a specific problem in this generic class, i.e.
      * how to associate something specific like nix-vector
      * with a packet.  This design methodology
      * should _not_ be followed, and is only here as an
      * impetus to fix this general issue.
      *
-     * \warning For real this function is not const, as it is the
+     * @warning For real this function is not const, as it is the
      * setter for a mutable variable member. The const qualifier
      * is needed to set a private mutable variable of const objects.
      *
-     * \param nixVector the nix vector
+     * @param nixVector the nix vector
      */
     void SetNixVector(Ptr<NixVector> nixVector) const;
     /**
-     * \brief Get the packet nix-vector.
+     * @brief Get the packet nix-vector.
      *
      * See the comment on SetNixVector
      *
-     * \returns the Nix vector
+     * @returns the Nix vector
      */
     Ptr<NixVector> GetNixVector() const;
 
     /**
      * TracedCallback signature for Ptr<Packet>
      *
-     * \param [in] packet The packet.
+     * @param [in] packet The packet.
      */
     typedef void (*TracedCallback)(Ptr<const Packet> packet);
 
     /**
      * TracedCallback signature for packet and Address.
      *
-     * \param [in] packet The packet.
-     * \param [in] address The address.
+     * @param [in] packet The packet.
+     * @param [in] address The address.
      */
     typedef void (*AddressTracedCallback)(Ptr<const Packet> packet, const Address& address);
 
     /**
      * TracedCallback signature for packet and source/destination addresses.
      *
-     * \param [in] packet The packet.
-     * \param [in] srcAddress The source address.
-     * \param [in] destAddress The destination address.
+     * @param [in] packet The packet.
+     * @param [in] srcAddress The source address.
+     * @param [in] destAddress The destination address.
      */
     typedef void (*TwoAddressTracedCallback)(const Ptr<const Packet> packet,
                                              const Address& srcAddress,
@@ -734,34 +734,34 @@
     /**
      * TracedCallback signature for packet and Mac48Address.
      *
-     * \param [in] packet The packet.
-     * \param [in] mac The Mac48Address.
+     * @param [in] packet The packet.
+     * @param [in] mac The Mac48Address.
      */
     typedef void (*Mac48AddressTracedCallback)(Ptr<const Packet> packet, Mac48Address mac);
 
     /**
      * TracedCallback signature for changes in packet size.
      *
-     * \param [in] oldSize The previous packet's size.
-     * \param [in] newSize The actual packet's size.
+     * @param [in] oldSize The previous packet's size.
+     * @param [in] newSize The actual packet's size.
      */
     typedef void (*SizeTracedCallback)(uint32_t oldSize, uint32_t newSize);
 
     /**
      * TracedCallback signature for packet and SINR.
      *
-     * \param [in] packet The packet.
-     * \param [in] sinr The received SINR.
+     * @param [in] packet The packet.
+     * @param [in] sinr The received SINR.
      */
     typedef void (*SinrTracedCallback)(Ptr<const Packet> packet, double sinr);
 
   private:
     /**
-     * \brief Constructor
-     * \param buffer the packet buffer
-     * \param byteTagList the ByteTag list
-     * \param packetTagList the packet's Tag list
-     * \param metadata the packet's metadata
+     * @brief Constructor
+     * @param buffer the packet buffer
+     * @param byteTagList the ByteTag list
+     * @param packetTagList the packet's Tag list
+     * @param metadata the packet's metadata
      */
     Packet(const Buffer& buffer,
            const ByteTagList& byteTagList,
@@ -769,10 +769,10 @@
            const PacketMetadata& metadata);
 
     /**
-     * \brief Deserializes a packet.
-     * \param [in] buffer the input buffer.
-     * \param [in] size the buffer size.
-     * \returns the number of deserialized bytes.
+     * @brief Deserializes a packet.
+     * @param [in] buffer the input buffer.
+     * @param [in] size the buffer size.
+     * @returns the number of deserialized bytes.
      */
     uint32_t Deserialize(const uint8_t* buffer, uint32_t size);
 
